<!--
*  Created Date                                   : 14-Apr-21
*  Created By                                     : Spoorthi B R / Indu Narasimhamurthy
*  Requirement Reference                          : CCM-793
*  Description			                          : HTML to display Order and Return Order.

*****  MODIFICATION HISTORY
Version Number		Date		Last Modified By		Description/User Story Number

**/ -->
<template>
    <lightning-card title="Order List" icon-name="custom:custom83">  
        <template if:true = {mergeOrderLists}>
        <template if:true={mergeOrderLists.checkForError} >
            <b>{mergeOrderLists.checkForError}</b><br>
            <b>{mergeOrderLists.checkForReturnError}</b>
        </template>        
        <template if:true={mergeOrderLists.checkForSuccess}>            
                <div style="height: 300px;">
                    <lightning-datatable key-field="id" data={mergeOrderLists.d.results} columns={columns} hide-checkbox-column="true"> 
                    </lightning-datatable>                    
                </div>  
        </template> 
    </template>   
   
        <template if:false={mergeOrderLists}>
                <lightning-spinner alternative-text="Loading"></lightning-spinner>
            </template>    
         
    </lightning-card>
</template>